Bug 1031064 - error in radiusd when receives leap message
error in radiusd when receives leap message
Status: CLOSED DUPLICATE of bug 1031061
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freeradius (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: John Dennis
BaseOS QE Security Team
: Regression
Depends On:
Blocks: 1000455
  Show dependency treegraph
 
Reported: 2013-11-15 09:42 EST by David Spurek
Modified: 2015-03-02 00:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 17:04:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-11-15 09:42:22 EST
Description of problem:
error in radiusd when receives leap message. Problem appears if radiusd receive leap message as second request. 


part of radiusd log:
...
(11) # Executing group from file /etc/raddb/sites-enabled/default
(11)   authenticate {
(11) eap : Expiring EAP session with state 0x9d6e13bf9f6d02e9
(11) eap : Finished EAP session with state 0x9d6e13bf9f6d02e9
(11) eap : Previous EAP request found for state 0x9d6e13bf9f6d02e9, released from the list
(11) eap : Peer sent LEAP (17)
(11) eap : EAP LEAP (17)
(11) eap : Calling eap_leap to process EAP data
(11) eap_leap : Stage 6
*** Error in `radiusd': malloc(): memory corruption: 0x00007fed3132dec0 ***
*** Error in `radiusd': malloc(): memory corruption: 0x00007fed3132dec0 ***


Version-Release number of selected component (if applicable):
freeradius-3.0.0-2.el7


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 John Dennis 2013-11-26 17:04:01 EST

*** This bug has been marked as a duplicate of bug 1031061 ***

Note You need to log in before you can comment on or make changes to this bug.